#ifndef __ldap4cUIComponents_SplashWidget_h__
#define __ldap4cUIComponents_SplashWidget_h__

#include <ldap4cUIComponents/ldap4cuicomponents_global.h>

#include <QWidget>

class QLabel;

namespace Ldap4cUIComponents
{
	class LDAP4CUICOMPONENTSSHARED_EXPORT SplashWidget : public QWidget
	{
		Q_OBJECT

		private:
			QLabel* _plblSplash;
			QLabel* _plblProduct;
			QLabel* _plblVersion;
			QLabel* _plblCopyright;
			QLabel* _plblProgress;

		public:
			SplashWidget( QWidget* pparent = 0 );
			virtual ~SplashWidget();

			void setProgress( const QString& strMessage = QString() );
	};
}

#endif /* !__ldap4cUIComponents_SplashWidget_h__ */
